Bug 472324 - do not install games by default
do not install games by default
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-19 21:56 EST by Jens Petersen
Modified: 2014-01-21 18:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-09 12:45:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2008-11-19 21:56:52 EST
Description of problem:
I do not think gnome-games need to be installed by default since not many people play them and they just take space in the desktop menu.  Is there a good reason to keep them default?

Steps to Reproduce:
1. install fedora
  
Actual results:
1. get gnome-games installed

Expected results:
1. no games (gnome-games) and no need to uninstall them.
Comment 1 Yanko Kaneti 2008-11-20 02:28:57 EST
I think the default install needs to have something in the Games category and gnome-games while not being spectacular fits the bill. What can replace it ?

On a related note, its a shame that recent live cd-s lack any games, imo that looses part of their demo potential.
Comment 2 Jens Petersen 2008-11-20 02:49:07 EST
(In reply to comment #1)
> I think the default install needs to have something in the Games category

I guess that is what it comes down too... I don't think it is needed but you do. :)
With all respect to gnome-games, there is nothing in the default Games menu that would particular like to show off to anyone, but I know young children do enjoy them.
Comment 3 Bill Nottingham 2008-11-20 09:36:44 EST
Honestly, I feel that having gnome-games on by default in the games group is perfectly reasonable

The question then becomes whether or not the Games group should be on by default in the installer. I suspect for things like the Desktop spin yes, for the main Fedora spin, maybe, and for some server spin, no.
Comment 4 Jens Petersen 2008-11-24 00:21:17 EST
> The question then becomes whether or not the Games group should be on by default in the installer.

Right
Comment 5 Jens Petersen 2008-11-24 00:25:01 EST
Or maybe punt to anaconda and ask users if they want games or not (like we already do for the Office group).

But if it were up to me I would turn off games by default in comps and then the desktop spin could add it if necessary.

Anyway I will accept the final decision - I just wanted to file this bug here to see if we could change this.
Comment 6 TK009 2008-11-25 08:21:06 EST
This bug has been triaged
Comment 7 Bill Nottingham 2008-12-05 14:53:28 EST
Assigning to anaconda then - games is part of 'Office and Productivity' in the installclass file.
Comment 8 Chris Lumens 2008-12-09 12:45:33 EST
Okay, I've removed the games group from office/productivity.  This will be fixed in the next build of anaconda.

Note You need to log in before you can comment on or make changes to this bug.